{{define "auth.html"}}

{{template "header.html"}}

<div class="container">
  <form action="/result">
    <div class="form-group">
      <label for="projectInput">Project</label>
      <input type="text" class="form-control" id="projectInput" name="project" aria-describedby="projectHelp" placeholder="Enter your project name">
      <small id="projectHelp" class="form-text text-muted">That could be somthing like ganggo, socialhome or diaspora. Make sure it matches the <span class="badge badge-danger">PROJECT</span> variable in <a href="https://git.feneas.org/feneas/federation/testsuite/blob/master/.gitlab-ci.yml">gitlab-ci.yml</a>!</small>
    </div>
    {{if .Gitlab}}
    <div class="form-group">
      <label for="serverInput">Server</label>
      <input type="text" class="form-control" id="serverInput" name="server" aria-describedby="serverHelp" placeholder="Enter the server url">
      <small id="serverHelp" class="form-text text-muted">This must be the FQDN of the server your repository is on e.g. https://git.feneas.org</small>
    </div>
    {{else}}
    <input type="hidden" name="accessToken" value="{{.Token}}" />
    {{end}}
    <div class="form-group">
      <label for="repoInput">Repository</label>
      <input type="text" class="form-control" id="repoInput" name="repo" aria-describedby="repoHelp" placeholder="Enter your project slug">
      <small id="repoHelp" class="form-text text-muted">Your project slug is the {{if .Gitlab}}Gitlab{{else}}Github{{end}} user- and repository name separated by a slash e.g. ganggo/federation</small>
    </div>
    {{if .Gitlab}}
    <div class="form-group">
      <label for="accessTokenInput">Access Token</label>
      <input type="text" class="form-control" id="accessTokenInput" name="accessToken" aria-describedby="accessTokenHelp" placeholder="Enter your access token for the repository">
      <small id="accessTokenHelp" class="form-text text-muted">We need access to your repository to update merge requests. You can generate one by accessing <span class="badge badge-danger">https://&lt;your-gitlab&gt;/profile/personal_access_tokens</span>. Its necessary that you click on <span class="badge badge-danger">api</span> in the Scopes-Section!</small>
    </div>
    {{end}}
    <div class="form-check mb-3">
      <input type="checkbox" class="form-check-input" id="optinInput" name="optin" describedby="optinHelp">
      <label class="form-check-label" for="optinInput">Check if you want to opt-in on a new test</label>
      <small id="optinHelp" class="form-text text-muted">
        That would mean that tests are triggered if you specify <code>[ci]</code> in the PR title, body, commit-message
        or if the PR was tagged with <span class="badge badge-primary">ci</span>. If you leave the box unchecked
        tests will be triggered on every pull-request. However you can skip them by using <code>[ci skip]</code>
        in the mentioned fields or tag it with <span class="badge badge-primary">ci skip</span>.
      </small>
      <div class="form-group">
        <label for="optinFlagInput">(optional) Custom Flags</label>
        <input type="text" class="form-control" id="optinFlagInput" name="optinFlag" aria-describedby="optinFlagHelp" placeholder="default is 'ci'">
        <small id="optinFlagHelp" class="form-text text-muted">
          If you want to use custom build triggers for opt-in you can specify it here.
        </small>
      </div>
      <div class="form-group">
        <input type="text" class="form-control" name="optoutFlag" aria-describedby="optoutFlagHelp" placeholder="default is 'ci skip'">
        <small id="optoutFlagHelp" class="form-text text-muted">
          If you want to use custom build triggers for opt-out you can specify it here.
        </small>
      </div>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
  </form>
</div>

{{template "footer.html"}}

{{end}}
